

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.54. ruby_eval &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.55. ruby_load" href="ruby_load.html" />
    <link rel="prev" title="7.3.53. request_cancel" href="request_cancel.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/ruby_eval.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="ruby_load.html" title="7.3.55. ruby_load"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="request_cancel.html" title="7.3.53. request_cancel"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.54. </span><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="ruby-eval">
<h1><span class="section-number">7.3.54. </span><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code><a class="headerlink" href="#ruby-eval" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.54.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code> command evaluates Ruby script and returns the result.</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.54.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes only one required parameter:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>ruby_eval script
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.54.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>You can execute any scripts which mruby supports by calling <code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code>.</p>
<p>Here is an example that just calculate <code class="docutils literal notranslate"><span class="pre">1</span> <span class="pre">+</span> <span class="pre">2</span></code> as Ruby script.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register ruby/eval
# [[0, 1337566253.89858, 0.000355720520019531], true]
ruby_eval &quot;1 + 2&quot;
# [[0, 1337566253.89858, 0.000355720520019531], {&quot;value&quot;: 3}]
</pre></div>
</div>
<p>Register <code class="docutils literal notranslate"><span class="pre">ruby/eval</span></code> plugin to use <code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code> command in advance.</p>
<p>Note that <code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code> is implemented as an experimental plugin,
and the specification may be changed in the future.</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.54.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p>This section describes all parameters.</p>
<div class="section" id="script">
<h3><span class="section-number">7.3.54.4.1. </span><code class="docutils literal notranslate"><span class="pre">script</span></code><a class="headerlink" href="#script" title="Permalink to this headline">¶</a></h3>
<p>Specifies the Ruby script which you want to evaluate.</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.54.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code> returns the evaluated result with metadata such as
exception information (Including metadata isn’t implemented yet):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, {&quot;value&quot;: EVALUATED_VALUE}]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code></p>
<blockquote>
<div><p>See <a class="reference internal" href="../command/output_format.html"><span class="doc">Output format</span></a> about <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">EVALUATED_VALUE</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">EVALUATED_VALUE</span></code> is the evaludated value of <code class="docutils literal notranslate"><span class="pre">ruby_script</span></code>.</p>
<p><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code> supports only a number for evaluated value for now.
Supported types will be increased in the future.</p>
</div></blockquote>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.54.6. </span>See also<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.54. <code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.54.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.54.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.54.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.54.4. Parameters</a><ul>
<li><a class="reference internal" href="#script">7.3.54.4.1. <code class="docutils literal notranslate"><span class="pre">script</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.54.5. Return value</a></li>
<li><a class="reference internal" href="#see-also">7.3.54.6. See also</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="request_cancel.html"
                        title="previous chapter"><span class="section-number">7.3.53. </span><code class="docutils literal notranslate"><span class="pre">request_cancel</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="ruby_load.html"
                        title="next chapter"><span class="section-number">7.3.55. </span><code class="docutils literal notranslate"><span class="pre">ruby_load</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="ruby_load.html" title="7.3.55. ruby_load"
             >next</a> |</li>
        <li class="right" >
          <a href="request_cancel.html" title="7.3.53. request_cancel"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.54. </span><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>